# class Sass::Tree::ForNode

A dynamic node representing a Sass `@for` loop.

@see Sass::Tree

### Attributes

exclusive[R]

Whether to include `to` in the loop or stop just before. @return [Boolean]

from[RW]

The parse tree for the initial expression. @return [Script::Tree::Node]

to[RW]

The parse tree for the final expression. @return [Script::Tree::Node]

var[R]

The name of the loop variable. @return [String]

### Public Class Methods

new(var, from, to, exclusive) click to toggle source

@param var [String] See {#var} @param from [Script::Tree::Node] See {#from} @param to [Script::Tree::Node] See {#to} @param exclusive [Boolean] See {#exclusive}

Calls superclass method

    # File lib/sass/tree/for_node.rb, line 28
    def initialize(var, from, to, exclusive)
      @var = var
      @from = from
      @to = to
      @exclusive = exclusive
      super()
    end